Bug 52249 - Flaky Test: http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html
Summary: Flaky Test: http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: WebKit Commit Bot
URL:
Keywords:
Depends on:
Blocks: 50856
  Show dependency treegraph
 
Reported: 2011-01-11 14:06 PST by WebKit Commit Bot
Modified: 2011-05-02 16:38 PDT (History)
3 users (show)

See Also:


Attachments
Archive of layout-test-results from eseidel-sf-cq (22 bytes, application/zip)
2011-01-11 14:06 PST, WebKit Commit Bot
no flags Details
Failure diff from eseidel-cq-sl (719 bytes, text/plain)
2011-01-27 18:25 PST, WebKit Commit Bot
no flags Details
Failure diff from cr-jail-8 (719 bytes, text/plain)
2011-04-19 11:15 PDT, WebKit Commit Bot
no flags Details
Failure diff from cr-jail-8 (719 bytes, text/plain)
2011-04-28 05:28 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from cr-jail-7 (200.97 KB, application/zip)
2011-05-02 16:38 PDT, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2011-01-11 14:06:18 PST
This is an automatically generated bug from the commit-queue.
http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html has been flaky on the commit-queue.

http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html was authored by ap@webkit.org.
http://trac.webkit.org/browser/trunk/LayoutTests/http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html

The commit-queue just saw http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html flake (Text diff mismatch) while processing attachment 78564 [details] on bug 42887.
Bot: eseidel-sf-cq  Port: Mac  Platform: Mac OS X 10.6.4

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2011-01-11 14:06:22 PST
Created attachment 78596 [details]
Archive of layout-test-results from eseidel-sf-cq
Comment 2 Eric Seidel (no email) 2011-01-11 18:03:12 PST
Comment on attachment 78596 [details]
Archive of layout-test-results from eseidel-sf-cq

Clearly there is a bug in the zip uploading code.  Investigating.
Comment 3 Eric Seidel (no email) 2011-01-11 23:38:13 PST
I believe the upload behavior to be fixed in http://trac.webkit.org/changeset/75583.  Sorry for the noise.  The next flake should give us results.
Comment 4 WebKit Commit Bot 2011-01-27 18:25:32 PST
The commit-queue just saw http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html flake (Text diff mismatch) while processing attachment 80342 [details] on bug 53245.
Bot: eseidel-cq-sl  Port: Mac  Platform: Mac OS X 10.6.6
Comment 5 WebKit Commit Bot 2011-01-27 18:25:34 PST
Created attachment 80394 [details]
Failure diff from eseidel-cq-sl
Comment 6 WebKit Commit Bot 2011-04-19 11:15:30 PDT
The commit-queue just saw http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html flake (Text diff mismatch) while processing attachment 90114 [details] on bug 58419.
Bot: cr-jail-8  Port: Mac  Platform: Mac OS X 10.6.6
Comment 7 WebKit Commit Bot 2011-04-19 11:15:32 PDT
Created attachment 90222 [details]
Failure diff from cr-jail-8
Comment 8 WebKit Commit Bot 2011-04-28 05:28:19 PDT
The commit-queue just saw http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html flake (Text diff mismatch) while processing attachment 91439 [details] on bug 59675.
Bot: cr-jail-8  Port: Mac  Platform: Mac OS X 10.6.6
Comment 9 WebKit Commit Bot 2011-04-28 05:28:22 PDT
Created attachment 91474 [details]
Failure diff from cr-jail-8
Comment 10 Eric Seidel (no email) 2011-04-28 05:49:17 PDT
Is it ever possible that this could flake due to localhost resolving to 127.0.0.1?  Or is the security check done long before any resolve?
Comment 11 Eric Seidel (no email) 2011-04-28 05:51:18 PDT
Hmm.  Nevermind about the localhost resolving to 127.0.0.1.  We should see a different log message if we were to pass the security check.

Strange though that this is trying to use the same basic_auth.php as bug 51613 which is also flaky...
Comment 12 WebKit Commit Bot 2011-05-02 16:38:30 PDT
The commit-queue just saw http/tests/xmlhttprequest/cross-origin-no-credential-prompt.html flake (Test timed out) while processing attachment 91963 [details] on bug 59955.
Bot: cr-jail-7  Port: Mac  Platform: Mac OS X 10.6.7
Comment 13 WebKit Commit Bot 2011-05-02 16:38:33 PDT
Created attachment 92002 [details]
Archive of layout-test-results from cr-jail-7